Skip to main content
`Ctrl`+`K`

# DMPlexMetricSetGradationFactor

Set the metric gradation factor

## Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexMetricSetGradationFactor(DM dm, PetscReal beta)

## Input Parameters

- dm - The `DM`

- beta - The metric gradation factor

## Notes

The gradation factor is the maximum tolerated length ratio between adjacent edges.

Turn off gradation by passing the value -1. Otherwise, pass a positive value.

This is only used by Mmg and ParMmg (not Pragmatic).

## See Also

`DMPLEX`, `DMPlexMetricGetGradationFactor()`, `DMPlexMetricSetHausdorffNumber()`

## Level

beginner

## Location

src/dm/impls/plex/plexmetric.c

Index of all DMPlex routines
Table of Contents for all manual pages
Index of all manual pages